/*
 * Copyright (c) 2009, 2018, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.sun.ts.tests.jpa.core.annotations.orderby;

import javax.persistence.*;
import java.util.*;

@Entity
@Table(name = "COLTAB")
@AttributeOverrides({
        @AttributeOverride(name = "name", column = @Column(name = "NAME"))
})
public class A implements java.io.Serializable {

    private static final long serialVersionUID = 20L;
    protected String id;
    protected String name;

    protected List<Address> lAddress = new ArrayList<Address>();

    public A() {
    }

    public A(String id, String name) {
        this.id = id;
        this.name = name;
    }

    public A(String id, String name, List<Address> addr) {
        this.id = id;
        this.name = name;
        this.lAddress = addr;
    }

    @Id
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @ElementCollection(fetch = FetchType.EAGER)
    @CollectionTable(name = "COLTAB_ADDRESS", joinColumns = @JoinColumn(name = "A_ID"))
    @OrderBy("zipCode.zip DESC")
    public List<Address> getAddressList() {
        return lAddress;
    }

    public void setAddressList(List<Address> addr) {
        this.lAddress = addr;
    }

}
